Bug 1674924 - gcl: FTBFS in Fedora rawhide/f30
Summary: gcl: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gcl
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 17:15 UTC by Fedora Release Engineering
Modified: 2019-07-09 00:56 UTC (History)
5 users (show)

Fixed In Version: gcl-2.6.13-0.84.2.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-09 00:56:21 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 17:15 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 17:15 UTC, Fedora Release Engineering
no flags Details
state.log (467 bytes, text/plain)
2019-02-11 17:15 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 17:15:49 UTC
gcl failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32386059


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix gcl at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
gcl will be orphaned. Before branching of Fedora 31,
gcl will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 17:15:51 UTC
Created attachment 1530050 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 17:15:52 UTC
Created attachment 1530051 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 17:15:53 UTC
Created attachment 1530052 [details]
state.log

Comment 4 Jerry James 2019-02-19 16:11:53 UTC
GCL does some funny things with the heap.  Therefore, it includes an SELinux policy.  I can consistently get good builds of gcl in mock if I "setenforce 0" first.  I have tried several times to build gcl in koji.  Every time, gcl segfaults on every architecture at the point where the SELinux policy first comes into play.  I don't understand what is happening.  I have been assured that SELinux is not in enforcing mode on the builders.  Then what is going on here?

Comment 5 scott 2019-05-22 01:03:37 UTC
FWIW, the existing f29 rpm wouldn't install on f30 due to a readline conflict.
When i tried to rebuild the most recent srpm on f30, i got an error:

In file included from funlink.c:607:
xdrfuns.c:30:10: fatal error: rpc/rpc.h: No such file or directory
   30 | #include <rpc/rpc.h>

I added this to the spec file to get it to build:


--- gcl.spec-orig	2019-05-21 20:23:51.025020046 -0400
+++ gcl.spec	2019-05-21 20:23:54.389026773 -0400
@@ -198,7 +198,7 @@
 
 %build
 # SGC requires the frame pointer, and the sources assume C89 semantics
-export CFLAGS="%{optflags} -fno-omit-frame-pointer -std=gnu89"
+export CFLAGS="%{optflags} -fno-omit-frame-pointer -std=gnu89 -I/usr/include/tirpc"
 %configure --enable-readline --enable-ansi --enable-dynsysgmp --enable-xgcl \
   --enable-tclconfig=%{_libdir} --enable-tkconfig=%{_libdir}
 # FIXME: %%{?_smp_mflags} breaks the build

Comment 6 Jerry James 2019-05-22 01:25:28 UTC
We are *this close* to having an updated gcl (i.e., the equivalent of Debian's gcl 2.6.12-87) in Rawhide and F-30, but we're having an issue with an unexpected relocation type on ppc64le, which only appears when building with gcc 9.x.  Upstream is working on that.  As soon as a solution is available, I'll get some builds going.

Comment 7 Fedora Update System 2019-06-30 19:57:10 UTC
FEDORA-2019-6ebae7c43c has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6ebae7c43c

Comment 8 Fedora Update System 2019-07-01 01:42:59 UTC
gcl-2.6.13-0.84.2.fc30, maxima-5.42.1-9.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6ebae7c43c

Comment 9 Fedora Update System 2019-07-09 00:56:21 UTC
gcl-2.6.13-0.84.2.fc30, maxima-5.42.1-9.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.